package ru.ulstu.core.util;

import java.util.List;
import java.util.function.Function;
import java.util.stream.Collectors;

public class StreamApiUtils {

    public static <T, R> List<T> convert(List<R> entitites, Function<R, T> converter) {
        return entitites.stream().map(e -> converter.apply(e)).collect(Collectors.toList());
    }
}
